Subject: Re: [PATCH v2 01/17] contrib: remove outdated README

From: Junio C Hamano <[email-masked]>
Date: Fri, 09 May 2014 12:58:46 -0700

Felipe Contreras <[email-masked]> writes:

> There is no guideline as for what should be part of contrib.
>
> Some tools are actively maintained, others consist of a single commit.
> Some tools have active user-base, some aren't used by anyone. Some tools
> are on the path towards the core, others will never get there. Some
> tools are already out-of-tree and simply mirrored, others probably
> wouldn't survive out-of-tree. Some tools are production-ready, others
> don't even run. Some tools have tests, most don't.
>
> Junio has explained that he wrote this a long time ago, when Git was a
> different beast, now this no longer applies.
>
> The only way to find out if a tool belongs in contrib or not is to as
> Junio.
>
> Cc: Junio C Hamano <[email-masked]>
> Signed-off-by: Felipe Contreras <[email-masked]>
> ---

This is wrong.

The reason I suggested splitting remote-hg out of my tree does not
have anything to do with "removal of disused and inactive" described
in the document.  As written elsewhere, it was a response to

    http://thread.gmane.org/gmane.comp.version-control.git/248063/focus=248457

where you said

    I don't want to do anything for a "contrib" tool.

and in response I suggested that you have an option to make it a
standalone third-party project (and the other option being to stay
in contrib/ but then you have to work well with others just like
other contributors).  With the promotion to the core has already
been ruled out as not an ideal direction in the thread that begins
at this one:

    http://thread.gmane.org/gmane.comp.version-control.git/247660/focus=248167

that is one of the only two alternatives I can offer.  Given that
the Git ecosystem has matured enough to let third-party tools
flourish on their own merit, if you do not want to work on a thing
in contrib/, that is now a more viable option than it used to be.

For tools that are happy to be in contrib/ and are still in use by
users, none of the above would apply.  And what the text says is
still perfectly valid.  There is nothing outdated in it.